Skip to main content
GET
/
nbx
/
v2
/
emm
/
events
/
getMarketsByEvent
/
{eventId}
cURL Example
curl -X GET "https://api.novig.us/nbx/v2/emm/events/getMarketsByEvent/550e8400-e29b-41d4-a716-446655440000?currency=CASH" \
  -H "Authorization: Bearer $TOKEN"
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "Spread",
    "description": "Chiefs -3.5",
    "status": "OPEN",
    "eventId": "550e8400-e29b-41d4-a716-446655440000",
    "book": {
      "bids": [
        {
          "price": 0.52,
          "qty": 100
        }
      ],
      "asks": [
        {
          "price": 0.52,
          "qty": 100
        }
      ]
    }
  }
]

Path Parameters

eventId
string
required

The server-generated UUID of the event

Query Parameters

currency
enum<string>
required

Currency for orderbook data

Available options:
CASH,
COIN

Response

Successfully retrieved markets for the event.

id
string
required

The unique identifier of the market

Example:

"123e4567-e89b-12d3-a456-426614174000"

type
string
required

The type of market

Example:

"Spread"

description
string
required

A human-readable description of the market

Example:

"Chiefs -3.5"

status
enum<string>
required

The current status of the market

Available options:
OPEN,
CLOSED,
SETTLED
Example:

"OPEN"

eventId
string
required

The ID of the event this market belongs to

Example:

"550e8400-e29b-41d4-a716-446655440000"

book
object
required

The current orderbook for this market